## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%global         srcname     azure-mgmt-monitor

Name:           python-%{srcname}
Version:        3.0.0
Release:        %autorelease
Summary:        Microsoft Azure Monitor Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{version} zip}

BuildArch:      noarch


BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros


%global _description %{expand:
Microsoft Azure Monitor Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
Obsoletes:      python3-azure-sdk < 5.0.1
%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files azure


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md


%changelog
* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 3.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Jan 04 2022 Major Hayden <major@mhtx.net> 3.0.0-1
- Update to 3.0.0

* Wed Sep 08 2021 Major Hayden <major@mhtx.net> 2.0.0-4
- Move obsoletes into subpackage

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> 2.0.0-3
- Remove python version macros

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> 2.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sat Jul 03 2021 Major Hayden <major@mhtx.net> 2.0.0-1
- Initial import (#1971834)
